from setuptools import setup
from os.path import join, dirname

requirements = [
    'convertible==0.9',
    'syncloud-app==0.25',
    'requests==2.2.1',
]

version = open(join(dirname(__file__), 'version')).read().strip()

setup(
    name='syncloud-sam',
    version=version,
    scripts=['bin/sam'],
    install_requires=requirements,
    description='Syncloud application manager',
    packages=['syncloud', 'syncloud.sam'],
    namespace_packages=['syncloud'],
    data_files=[('sam/config', ['config/sam.cfg'])],
    license='GPLv3',
    author='Syncloud',
    author_email='syncloud@googlegroups.com',
    url='https://github.com/syncloud/sam'
)